Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_OutputSource_NetStream

Output Source NetStream Class.
Contained in: global
Derived from: CL_OutputSource
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

### public function member index:
### Construction:
`` | `CL_OutputSource_NetStream` | `(`const` `CL_NetStream`& `netstream`)`;
``virtual`` | `~CL_OutputSource_NetStream` | `()`;
### Attributes:
``virtual` `int`` | `tell` | `() `const``;
``virtual` `int`` | `size` | `() `const``;
### Operations:
``virtual` `int`` | `write` | `(`const` `void`* `data`, `int` `size`)`;
``virtual` `void`` | `open` | `()`;
``virtual` `void`` | `close` | `()`;
``virtual` `CL_OutputSource`*` | `clone` | `()`;
### private function member index:
### Implementation:
`` | `CL_OutputSource_NetStream` | `()`;

## Description:

## Function Member Descriptions:

CL_OutputSource_NetStream::CL_OutputSource_NetStream - Output Source NetStream Constructor.
`` `CL_OutputSource_NetStream``(`const` `CL_NetStream`& `netstream`)`;

CL_OutputSource_NetStream::clone - Make a copy of the current outputsource, standing at the same position.
``virtual` `CL_OutputSource`*` `clone``()`;

CL_OutputSource_NetStream::close - Closes the output source.
``virtual` `void`` `close``()`;

CL_OutputSource_NetStream::open - Opens the output source. By default, it is open.
``virtual` `void`` `open``()`;

CL_OutputSource_NetStream::size - Returns the size of the output source.
``virtual` `int`` `size``() `const``;

CL_OutputSource_NetStream::tell - Returns current position in output source.
``virtual` `int`` `tell``() `const``;

CL_OutputSource_NetStream::write - Writes larger amounts of data (no endian and 64 bit conversion).
``virtual` `int`` `write``(`const` `void`* `data`, `int` `size`)`;

## Variable Member Descriptions: